Redteams
Get a redteam
Retrieves the specified redteam and its configuration.
查詢參數
api-version
string
必要
The API version to use for this operation.
路徑參數
name
string
必要
Identifier of the red team run.
標頭參數
Foundry-Features
enum
必要
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
回覆
The request has succeeded.
主體
id
string
必要
Identifier of the red team run.
displayName
string
Name of the red-team run.
numTurns
integer
Number of simulation rounds.
attackStrategies
AttackStrategy[]
List of attack strategies or nested lists of attack strategies.
simulationOnly
boolean
Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.
riskCategories
RiskCategory[]
List of risk categories to generate attack objectives for.
applicationScenario
string
Application scenario for the red team operation, to generate scenario specific attacks.
tags
object
Red team's tags. Unlike properties, tags are fully mutable.
properties
object
Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
status
string
Status of the red-team. It is set by service and is read-only.
target
AzureOpenAIModel
必要
Abstract class for target configuration.
AzureOpenAIModel
AzureOpenAIModelConfiguration
Azure OpenAI model configuration. The API version would be selected by the service for querying the model.
type
enum
必要
modelDeploymentName
string
必要
Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).
Request
GET /redTeams/runs/{name} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json